changeset 10200:3a2bf9fb3efb

Avoid a test failure when the test wants to skip itself.
author Bruno Haible <bruno@clisp.org>
date Thu, 12 Jun 2008 01:12:11 +0200
parents 9a94025d6470
children 270b7afb8fb7
files ChangeLog tests/test-vc-list-files-cvs.sh tests/test-vc-list-files-git.sh
diffstat 3 files changed, 10 insertions(+), 2 deletions(-) [+]
line wrap: on
line diff
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,9 @@
+2008-06-10  Bruno Haible  <bruno@clisp.org>
+
+	* tests/test-vc-list-files-git.sh: Make double use of 'exit'. Needed
+	for $? to work inside the trap command, with various /bin/sh-s.
+	* tests/test-vc-list-files-cvs.sh: Likewise.
+
 2008-06-10  Bruno Haible  <bruno@clisp.org>
 
 	* lib/acl-internal.h: Don't include gettext.h here.
--- a/tests/test-vc-list-files-cvs.sh
+++ b/tests/test-vc-list-files-cvs.sh
@@ -44,7 +44,8 @@
   ok=0
   mkdir $tmpdir && cd $tmpdir &&
     # without cvs, skip the test
-    { ( cvs -Q -d "$repo" init ) > /dev/null 2>&1 || exit 77; } &&
+    # The double use of 'exit' is needed for the reference to $? inside the trap.
+    { ( cvs -Q -d "$repo" init ) > /dev/null 2>&1 || { (exit 77); exit 77; }; } &&
     mkdir w && cd w &&
     mkdir d &&
     touch d/a b c &&
--- a/tests/test-vc-list-files-git.sh
+++ b/tests/test-vc-list-files-git.sh
@@ -31,7 +31,8 @@
 fail=1
 mkdir $tmpdir && cd $tmpdir &&
   # without git, skip the test
-  { ( git init -q ) > /dev/null 2>&1 || exit 77; } &&
+  # The double use of 'exit' is needed for the reference to $? inside the trap.
+  { ( git init -q ) > /dev/null 2>&1 || { (exit 77); exit 77; }; } &&
   mkdir d &&
   touch d/a b c &&
   git add . > /dev/null &&